# Class CIM_RoleBasedManagementCapabilities
extends CIM_PrivilegeManagementCapabilities

A subclass that extends the capabilities of the CIM_RoleBasedAuthorizationService.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_PrivilegeManagementCapabilities
|
+--CIM_RoleBasedManagementCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A subclass that extends the capabilities of the CIM_RoleBasedAuthorizationService.
UMLPackagePath | string | CIM::User::Privilege
Version | string | 2.18.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
SupportedMethods | uint16[] |
Description | string | The enumeration values "ChangeAccess", "ShowAccess", "AssignAccess", "RevokeAccess", "CreateRole", "ModifyRole", "AssignRoles", "ShowRoles", and "DeleteRole" corresponds to support for the like-named method of the RoleBasedAuthorizationService. The value "ModifyPrivilege" corresponds to support for directly modifying an instance of CIM_Privilege using an intrinsic operation.
Override | string | SupportedMethods
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, .., 32768..65535
Values | string | ChangeAccess, ShowAccess, AssignAccess, RevokeAccess, CreateRole, ModifyRole, AssignRoles, ShowRoles, ModifyPrivilege, DeleteRole, DMTF Reserved, Vendor Reserved

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
InstanceID | string | CIM_Capabilities
SharedPrivilegeSupported | boolean | CIM_PrivilegeManagementCapabilities
ActivitiesSupported | uint16[] | CIM_PrivilegeManagementCapabilities
ActivityQualifiersSupported | string[] | CIM_PrivilegeManagementCapabilities
QualifierFormatsSupported | uint16[] | CIM_PrivilegeManagementCapabilities

## Class Methods